export default class Badge {
	public Id: number;
	public Name: string;
	public Description: string;
	public Hint: string;
	public ImageUrl: string;
	public ForUrl: string;
	public IsSecret: boolean;
	public CreatedByUserId: number;
	public CreatedDatetime: Date;
	public LastModifiedByUserId?: number;
	public LastModifiedDatetime?: Date;
	public DeletedByUserId?: number;
	public DeletedDatetime?: Date;
	public IsDeleted: boolean;

	public constructor() {
		this.Id = Number.MIN_VALUE;
		this.Name = "";
		this.Description = "";
		this.Hint = "";
		this.ImageUrl = "";
		this.ForUrl = "";
		this.IsSecret = false;
		this.CreatedByUserId = Number.MIN_VALUE;
		this.CreatedDatetime = new Date(0);
		this.IsDeleted = false;
	}
}