import { UserLevel } from "../enums/UserLevel";

export default class SessionUser {
	public readonly userId:number;
	public readonly username:string;
	public readonly userLevel:UserLevel;
	public readonly apiKey:string;
	public readonly validityPeriod:Date;

	constructor(userId:number, username:string, userLevel:UserLevel, apiKey:string, validityPeriod:Date) {
		this.userId = userId;
		this.username = username;
		this.userLevel = userLevel;
		this.apiKey = apiKey;
		this.validityPeriod = validityPeriod;
	}
}